## mx4j.tools.remote.soap.axis.ser
Class RelationTypeSupportDeserFactory

    java.lang.Object
      org.apache.axis.encoding.ser.BaseFactory
          org.apache.axis.encoding.ser.BaseDeserializerFactory
              mx4j.tools.remote.soap.axis.ser.RelationTypeSupportDeserFactory

All Implemented Interfaces:
  javax.xml.rpc.encoding.DeserializerFactory, org.apache.axis.encoding.DeserializerFactory, java.io.Serializable

public class RelationTypeSupportDeserFactory
extends org.apache.axis.encoding.ser.BaseDeserializerFactory

Version:
  $Revision: 1.3 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.axis.encoding.ser.BaseDeserializerFactory
`deserClass, deserClassConstructor, getDeserializer, javaType, xmlType`

Fields inherited from class org.apache.axis.encoding.ser.BaseFactory
`methodCache`

Constructor Summary
`RelationTypeSupportDeserFactory(java.lang.Class javaType, javax.xml.namespace.QName xmlType)`

Methods inherited from class org.apache.axis.encoding.ser.BaseDeserializerFactory
`createFactory, getDeserClassConstructor, getDeserializerAs, getGeneralPurpose, getGetDeserializer, getSpecialized, getSupportedMechanismTypes`

Methods inherited from class org.apache.axis.encoding.ser.BaseFactory
`getMethod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RelationTypeSupportDeserFactory

    public RelationTypeSupportDeserFactory(java.lang.Class javaType,
                                           javax.xml.namespace.QName xmlType)

Copyright © 2001-2003 MX4J Team. All Rights Reserved.